test_basic< T, M, VfTag >
Inheritance diagram for test_basic< T, M, VfTag >:

## Public Types

typedef test_rep< T, M > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::memory_type | memory_type
typedef rep::value_type | value_type
typedef rep::scalar_type | scalar_type
typedef rep::float_type | float_type
typedef rep::geo_type | geo_type
typedef rep::space_type | space_type
typedef rep::diff_type | diff_type
typedef VfTag | vf_tag_type
typedef details::dual_vf_tag< VfTag >::type | vf_dual_tag_type
typedef test_basic< T, M, VfTag > | self_type
typedef test_basic< T, M, vf_dual_tag_type > | dual_self_type
Public Types inherited from smart_pointer< test_rep< T, M > >
typedef test_rep< T, M > | handled_type
typedef base::internal | internal

## Public Member Functions

| test_basic (const space_type &V)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
size_type | size () const
details::test_component< T, M, VfTag > | operator[] (size_type i_comp) const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
template<class Value , diff_type Diff>
void | evaluate (const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value , diff_type Diff>
void | evaluate_on_side (const geo_basic< T, M > &omega_K, const geo_element &K, const side_information_type &sid, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly_unused) const
template<class Value >
void | evaluate (const geo_basic< T, M > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
void | evaluate_on_side (const geo_basic< T, M > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly_unused) const
template<class Value >
void | valued_check () const
template<class Value >
void | grad_valued_check () const
template<class Value >
void | div_valued_check () const
template<class Value >
void | curl_valued_check () const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< T, M > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
Public Member Functions inherited from smart_pointer< test_rep< T, M > >
| smart_pointer (test_rep< T, M > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< test_rep< T, M > > &x)
smart_pointer< test_rep< T, M > > & | operator= (const smart_pointer< test_rep< T, M > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< test_rep< T, M >, details::constructor_copy< test_rep< T, M > > >
| smart_pointer_base (test_rep< T, M > *p=0)
| smart_pointer_base (const smart_pointer_base< test_rep< T, M >, details::constructor_copy< test_rep< T, M > > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< test_rep< T, M >, details::constructor_copy< test_rep< T, M > > > & | operator= (const smart_pointer_base< test_rep< T, M >, details::constructor_copy< test_rep< T, M > > > &)
| ~smart_pointer_base ()
const test_rep< T, M > * | pointer () const
test_rep< T, M > * | pointer ()
const test_rep< T, M > & | data () const
test_rep< T, M > & | data ()
const test_rep< T, M > * | operator-> () const
test_rep< T, M > * | operator-> ()
const test_rep< T, M > & | operator* () const
test_rep< T, M > & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = rep::valued_hint

## Detailed Description

### template<class T, class M, class VfTag>
class rheolef::test_basic< T, M, VfTag >

Definition at line 207 of file test.h.

## Member Typedef Documentation

## rep

typedef test_rep<T,M> rep

Definition at line 211 of file test.h.

## base

typedef smart_pointer<rep> base

Definition at line 212 of file test.h.

## size_type

typedef rep::size_type size_type

Definition at line 213 of file test.h.

## memory_type

typedef rep::memory_type memory_type

Definition at line 214 of file test.h.

## value_type

typedef rep::value_type value_type

Definition at line 215 of file test.h.

## scalar_type

typedef rep::scalar_type scalar_type

Definition at line 216 of file test.h.

## float_type

typedef rep::float_type float_type

Definition at line 217 of file test.h.

## geo_type

typedef rep::geo_type geo_type

Definition at line 218 of file test.h.

## space_type

typedef rep::space_type space_type

Definition at line 219 of file test.h.

## diff_type

typedef rep::diff_type diff_type

Definition at line 220 of file test.h.

## vf_tag_type

typedef VfTag vf_tag_type

Definition at line 221 of file test.h.

## vf_dual_tag_type

typedef details::dual_vf_tag<VfTag>::type vf_dual_tag_type

Definition at line 223 of file test.h.

## self_type

typedef test_basic<T,M,VfTag> self_type

Definition at line 224 of file test.h.

## dual_self_type

typedef test_basic<T,M,vf_dual_tag_type> dual_self_type

Definition at line 225 of file test.h.

## Constructor & Destructor Documentation

## test_basic()

test_basic | ( | const space_type & | V | ) |

explicit

Definition at line 229 of file test.h.

## Member Function Documentation

## get_vf_space()

const space_type& get_vf_space | ( |  | ) | const

Definition at line 233 of file test.h.

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 235 of file test.h.

## n_derivative()

size_type n_derivative | ( |  | ) | const

Definition at line 236 of file test.h.

## size()

size_type size | ( |  | ) | const

Definition at line 238 of file test.h.

## operator[]()

details::test_component< T, M, VfTag > operator[] | ( | size_type | i_comp | ) | const

Definition at line 534 of file test_component.h.

## initialize() [1/3]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 244 of file test.h.

## initialize() [2/3]

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 248 of file test.h.

## initialize() [3/3]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 253 of file test.h.

## evaluate() [1/2]

void evaluate | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 262 of file test.h.

## evaluate_on_side() [1/2]

void evaluate_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly_unused
| ) |  | const

Definition at line 270 of file test.h.

## evaluate() [2/2]

void evaluate | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 281 of file test.h.

## evaluate_on_side() [2/2]

void evaluate_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly_unused
| ) |  | const

Definition at line 290 of file test.h.

## valued_check()

void valued_check | ( |  | ) | const

Definition at line 301 of file test.h.

## grad_valued_check()

void grad_valued_check | ( |  | ) | const

Definition at line 303 of file test.h.

## div_valued_check()

void div_valued_check | ( |  | ) | const

Definition at line 305 of file test.h.

## curl_valued_check()

void curl_valued_check | ( |  | ) | const

Definition at line 307 of file test.h.

## local_dg_merge_on_side()

void local_dg_merge_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 310 of file test.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = rep::valued_hint

static

Definition at line 234 of file test.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/test.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/test_component.h